Summary:	Compiler cache
Summary(pl.UTF-8):	Pamięć podręczna dla kompilatora
Summary(pt_BR.UTF-8):	Cache para compiladores C/C++
Name:		ccache
Version:	3.2.4
Release:	1
License:	GPL v3
Group:		Development/Tools
Source0:	https://www.samba.org/ftp/ccache/%{name}-%{version}.tar.xz
# Source0-md5:	1781eec25073765828b874004d944c53
URL:		http://ccache.samba.org/
BuildRequires:	automake
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/%{name}

%description
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

%description -l pl.UTF-8
ccache to pamięć podręczna dla kompilatora - działa jako cachujący
preprocesor dla kompilatorów C/C++, wykorzystujący opcję kompilatora
-E oraz tablicę haszującą do wykrywania, czy do kompilacji wystarczy
zawartość pamięci podręcznej. Daje to zazwyczaj przyspieszenie
kompilacji 5 do 10 razy.

%description -l pt_BR.UTF-8
ccache é um cache para compiladores. Ele funciona mantendo um cache de
pré-processamento para compiladores C/C++ utilizando-se do parâmetro
- -E e de um hash para detectar quando uma compilação pode ser
  reaproveitada de um cache armazenado em disco. O ganho de tempo em
  compilações comuns pode chegar a uma escala de até 10 vezes em relação
  ao tempo normal.

%package wrapper
Summary:	Symlinks for c++/cc/g++/gcc
Summary(pl.UTF-8):	Dowiązania symboliczne do c++/cc/g++/gcc
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description wrapper
This package contains the softlinks to ccache for each compiler.

%description wrapper -l pl.UTF-8
Ten pakiet zawiera dowiązania symboliczne do ccache dla każdego
kompilatora.

%prep
%setup -q

# Make sure system zlib is used
%{__rm} -r zlib

%build
cp -f /usr/share/automake/config.* .
CPPFLAGS="%{rpmcppflags} -D_FILE_OFFSET_BITS=64"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/env.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for X in CCACHE_DIR CCACHE_TEMPDIR CCACHE_LOGFILE CCACHE_PATH CCACHE_CC CCACHE_PREFIX \
	CCACHE_DISABLE CCACHE_READONLY CCACHE_CPP2 CCACHE_NOSTATS CCACHE_NLEVELS \
	CCACHE_HARDLINK CCACHE_RECACHE CCACHE_UMASK CCACHE_HASHDIR CCACHE_UNIFY \
	CCACHE_EXTENSION CCACHE_NOHASH_SIZE_MTIME
do
	echo "#${X}=\"\"" > $RPM_BUILD_ROOT/etc/env.d/${X}
done

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/profile.d}
for cc in cc c++ g++ gcc %{_target_cpu}-pld-linux-gcc %{_target_cpu}-pld-linux-g++; do
	ln -s ../../bin/%{name} $RPM_BUILD_ROOT%{_libdir}/$cc
done
echo 'export PATH=%{_libdir}:$PATH' > \
	$RPM_BUILD_ROOT/etc/profile.d/%{name}.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt MANUAL.txt NEWS.txt README.txt
%attr(755,root,root) %{_bindir}/ccache
%{_mandir}/man1/ccache.1.*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/CCACHE_*

%files wrapper
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/%{name}.sh
%dir %{_libdir}
%attr(755,root,root) %{_libdir}/c++
%attr(755,root,root) %{_libdir}/cc
%attr(755,root,root) %{_libdir}/g++
%attr(755,root,root) %{_libdir}/gcc
%attr(755,root,root) %{_libdir}/%{_target_cpu}-pld-linux-g++
%attr(755,root,root) %{_libdir}/%{_target_cpu}-pld-linux-gcc
%changelog
* Tue Oct 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ccache.git;a=log;h=master

* Tue Oct 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 0891a07
- updated to 3.2.4

* Fri Sep 18 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 403471f
- up to 3.2.3

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 812382e
- updated to 3.2.2

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> cf6f82b
- release 3 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 43057e9
- x32 rebuild
- release 2 (by relup.sh)

* Mon Dec 15 2014 Elan Ruusamäe <glen@delfi.ee> 1d03e24
- up to 3.2.1

* Wed Nov 19 2014 Jakub Bogusz <qboosh@pld-linux.org> c0ee820
- updated to 3.2
- removed outdated nohash_size_mtime patch (compiler upgrade check method is configurable now)

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 37ea1f5
- better pl

* Sat Nov 01 2014 Jakub Bogusz <qboosh@pld-linux.org> a92c8e6
- updated to 3.1.10

* Thu Jan 10 2013 Elan Ruusamäe <glen@delfi.ee> 75e6ea3
- up to ccache 3.1.9

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 6b963ef
- better LFS fix

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> ba18ad0
- ensure system zlib is used

* Wed Jan 02 2013 Elan Ruusamäe <glen@delfi.ee> 0854046
- enable large file access for ccache

* Tue Sep 04 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9ad23f9
- updated to 3.1.8
- slightly more verbose files section

* Sun Jan 08 2012 Adam Gołębiowski <adamg@pld-linux.org> dbada6c
- updated to 3.1.7

* Tue Aug 23 2011 marti <marti@pld-linux.org> 70a0b61
- up to 3.1.6

* Wed Jun 01 2011 marti <marti@pld-linux.org> 858ee2a
- up to 3.1.5
- Fixed a minor memory leak.

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> e6282d7
- unified %clean section

* Tue Jan 18 2011 Jan Palus <jan.palus@gmail.com> 2da33eb
- updated to: 3.1.4

* Mon Nov 29 2010 Adam Gołębiowski <adamg@pld-linux.org> b89c0ee
- updated to 3.1.3

